## debian-edu-config 2.11.12

=== Makefile ===
PACKAGE = debian-edu-config

PROGS = \
	debian-edu-ldapserver \
	update-ini-file

SPROGS = debian-edu-fsautoresize \
	debian-edu-ltsp \
	debian-edu-pxeinstall \
	debian-edu-restart-services \
	debian-edu-test-install \
	debian-edu-update-netblock \
	update-hostname-from-ip

INSTALL     = install -D -p -m 755
INSTALL_DATA= install -D -p -m 644

prefix     = /usr/local
sysconfdir = /etc
cf3dir     = $(sysconfdir)/cfengine3/debian-edu
bindir     = $(prefix)/bin
sbindir    = $(prefix)/sbin
docdir     = $(prefix)/share/doc/$(PACKAGE)
mandir     = $(prefix)/share/man
ldapdir    = $(sysconfdir)/ldap
slbackupphpdir = $(sysconfdir)/slbackup-php
schemadir  = $(ldapdir)/schema
dhcpdir   = $(sysconfdir)/dhcp
libdir     = /usr/lib
pkglibdir  = $(libdir)/debian-edu-config
mailcapdir = $(libdir)/mime/packages
vardir     = /var
wwwdir     = /etc/debian-edu/www


CF3FILES = \
	cf.adduser \
	cf.apache2 \
	cf.cups \
	cf.desktop-networked \
	cf.dhcpserver \
	cf.exim \
	cf.imap \
	cf.homes \
	cf.firefox-esr \
	cf.finalize \
	cf.grub \
	cf.chromium \
	cf.inetd \
	cf.krb5client \
	cf.ldapserver \
	cf.ldapclient \
	cf.ldapscripts \
	cf.bind \
	cf.pxeinstall \
	cf.ntp \
	cf.samba \
	cf.squid \
	cf.sshd \
	cf.syslog \
	cf.tftpd \
	cf.workarounds \
	cf.xrdp \
	edu.cf \
	promises.cf

# Files to install in /etc/
SYSCONFFILES = \
	apt/apt.conf.d/99-edu-prefer-firefox \
	bind/named.conf.ldap2zone \
	bind/db.intern \
	bind/db.10.in-addr.arpa. \
	bind/db.subnet00.intern \
	bind/db.subnet01.intern \
	bind/db.0.168.192.in-addr.arpa. \
	bind/db.1.168.192.in-addr.arpa. \
	X11/Xsession.d/05debian-edu-truncate-xerrorlog \
	X11/Xsession.d/06debian-edu-firefox-ltsp \
	X11/Xsession.d/09debian-edu-missing-home \
	X11/Xsession.d/10debian-edu-one-login-per-host \
	X11/Xsession.d/55lightdm_gtk-greeter-rc \
	debian-edu/nightkill.conf \
	debian-edu/pxeinstall.conf \
	default/munin-node \
	default/ldap2zone \
	chromium/policies/managed/chromium-networked-prefs \
	cups/cupsd-debian-edu.conf \
	cups/cups-files-debian-edu.conf \
	dhcp/dhclient-exit-hooks.d/autofs-reload \
	dhcp/dhclient-exit-hooks.d/wpad-proxy-update \
	dhcp/dhclient-exit-hooks.d/fetch-ldap-cert \
	dhcp/dhclient-exit-hooks.d/hostname \
	dhcp/dhcpd-debian-edu.conf \
	dhcp/dhclient-debian-edu.conf \
	dovecot/local.conf \
	exim4/exim-ldap-client-v4.conf \
	exim4/exim-ldap-server-v4.conf \
	filesystems \
	firefox-esr/debian-edu.js \
	php/apache2/php-debian-edu.ini \
	insserv/overrides/ntp \
	ldap/rootDSE-debian-edu.ldif \
	ldap/slapd-debian-edu.conf \
	ltsp/ltsp-build-client.conf \
	network/if-up.d/wpad-proxy-update \
	samba/netlogon/1stlogon/1stlogon.bat \
	samba/netlogon/config/get_time.bat \
	samba/netlogon/config/penguin.bat \
	samba/netlogon/config/setglobals.bat \
	samba/netlogon/config/standarddrives-students.bat \
	samba/netlogon/config/standarddrives-teachers.bat \
	samba/netlogon/debian-edu-login.bat \
	samba/netlogon/_default_/default.bat \
	samba/netlogon/install/shortcut.vbs \
	samba/netlogon/logon-admins.bat \
	samba/netlogon/logon-jradmins.bat \
	samba/netlogon/logon-students.bat \
	samba/netlogon/logon-teachers.bat \
	samba/netlogon/mozilla/firefox/prefs.js \
	samba/netlogon/mozilla/mkmozapd.bat \
	samba/netlogon/mozilla/profiles.ini.FIREFOX \
	samba/netlogon/mozilla/profiles.ini.THUNDERBIRD \
	samba/netlogon/registry/proxy-ie/proxy-settings-hkcu.reg \
	samba/netlogon/win7+samba_domain-membership/DownloadWinRessourceKits.bat \
	samba/netlogon/win7+samba_domain-membership/README_Win7-Domain-Membership.txt \
	samba/netlogon/win7+samba_domain-membership/SeSystemTimePrivilege.bat \
	samba/netlogon/win7+samba_domain-membership/Win7_Samba3DomainMember.reg \
	samba/smb-debian-edu.conf \
	samba/samba-domain-policy.ldif \
	slbackup-php/config.php \
	smbldap-tools/smbldap_bind.conf \
	smbldap-tools/smbldap.conf \
	sssd/sssd-debian-edu.conf \
	xdg/autostart/welcome-webpage.desktop \
	lsb-release \
	apache2/mods-available/debian-edu-userdir.conf \
	apache2/sites-available/debian-edu-default.conf \
	apache2/sites-available/debian-edu-ssl-default.conf \
	apache2/conf-available/debian-edu-config-doc.conf \
	apache2/include/debian-edu-ldapauth.inc \
	nagios3/debian-edu/cgi.cfg \
	nagios3/debian-edu/commands.cfg \
	nagios3/debian-edu/contactgroups.cfg \
	nagios3/debian-edu/contacts.cfg \
	nagios3/debian-edu/dependencies.cfg \
	nagios3/debian-edu/htpasswd.users \
	nagios3/debian-edu/escalations.cfg \
	nagios3/debian-edu/hostextinfo.cfg \
	nagios3/debian-edu/hostgroups.cfg \
	nagios3/debian-edu/hosts.cfg \
	nagios3/debian-edu/host_templates.cfg \
	nagios3/debian-edu/nagios.cfg \
	nagios3/debian-edu/resources.cfg \
	nagios3/debian-edu/serviceextinfo.cfg \
	nagios3/debian-edu/servicegroups.cfg \
	nagios3/debian-edu/services.cfg \
	nagios3/debian-edu/service_templates.cfg \
	nagios3/debian-edu/timeperiods.cfg \
	munin/debian-edu-munin-node.conf \
	polkit-1/localauthority.conf.d/80-edu-admin.conf \
	nbd-server/conf.d/debian-edu.conf

LIBFILES = \
	mime/packages/debian-edu-mailcap

SYSCONFSCRIPTS = \
	ltspfs/mounter.d/edu-notify \
	mklocaluser.d/20-debian-edu-config \
	shutdown-at-night/clients-generator \
	resolvconf/update.d/bind-debian-edu \
	resolvconf/update.d/ltsp-chroots \
	wicd/scripts/preconnect/set_wireless_mac_from_eth0 \
	X11/Xsession-debian-edu \
	samba/smbaddclient.sh

SCHEMAS = \
	autofs-debian-edu.schema \
	samba.schema \
	dhcp.schema \
	dnsdomainaux.schema \
	ltspclientaux.schema \
	eduorg-200210-openldap.schema \
	eduperson-200806-openldap.schema \
	kerberos.schema \
	noreduperson-1.5-openldap.schema \
	samba3.schema \
	sudo.schema \
	trust.schema \
	gosystem.schema \
	gofon.schema \
	goto.schema \
	gosa-samba3.schema \
	gofax.schema \
	goserver.schema \
	goto-mime.schema

LDIFS = \
	root.ldif \
	autofs.ldif \
	firstuser.ldif \
	ipnetworks.ldif \
	netgroup.ldif \
	samba.ldif \
	sudo.ldif \
	krb5.ldif \
	ltsp.ldif \
	gosa.ldif \
	gosa-server.ldif

LDAPPROGRAMS = \
	ldap-add-host-to-netgroup \
	ldap-add-user-to-group \
	ldap-createuser-krb5 \
	ldap2netgroup \
	ldap-debian-edu-install \
	sitesummary2ldapdhcp

WWWFILES = \
	index.html.ca \
	index.html.da \
	index.html.de \
	index.html.en \
	index.html.es_ES \
	index.html.fr \
	index.html.id \
	index.html.it \
	index.html.ja \
	index.html.no_NB \
	index.html.nl \
	index.html.pt \
	index.html.pt_BR \
	index.html.ro \
	index.html.ru \
	index.html.zh \
	skl-ren_css.css \
	logo-trans.png \
	wpad.dat

all:
	$(MAKE) -C www

install: install-testsuite
	install -d $(DESTDIR)$(bindir)
	install -d $(DESTDIR)$(sbindir)
	install -d $(DESTDIR)$(sysconfdir) $(DESTDIR)$(sysconfdir)/cups
	install -d $(DESTDIR)$(ldapdir)
	install -d $(DESTDIR)$(dhcpdir)
	install -d $(DESTDIR)$(mailcapdir)

# program's manpages are autodetected. 
	set -e ; for prog in $(PROGS); do \
		$(INSTALL) bin/$$prog $(DESTDIR)$(bindir) ; \
		if [ -e "share/man/man1/$$prog.1" ]; \
		then \
		$(INSTALL_DATA) "share/man/man1/$$prog.1" $(DESTDIR)$(mandir)/man1/$$prog.1 ; \
		fi \
	done
# Using manpages autodetection : 
	set -e ; for sprog in $(SPROGS); do \
		$(INSTALL) sbin/$$sprog $(DESTDIR)$(sbindir) ; \
		if [ -e "share/man/man8/$$sprog.8" ]; \
		then \
		$(INSTALL_DATA) "share/man/man8/$$sprog.8" $(DESTDIR)$(mandir)/man8/$$sprog.8 ; \
		fi \
	done

	$(INSTALL_DATA) README $(DESTDIR)$(docdir)/README

	set -e ; for cf3 in $(CF3FILES); do \
		$(INSTALL_DATA) cf3/$$cf3 $(DESTDIR)$(cf3dir)/$$cf3; \
	done

	set -e ; for file in $(SYSCONFFILES) ; do \
		$(INSTALL_DATA) etc/$$file $(DESTDIR)$(sysconfdir)/$$file; \
	done

	mkdir -p $(DESTDIR)$(sysconfdir)/init.d
	set -e ; for file in $(SYSCONFSCRIPTS) ; do \
		$(INSTALL) etc/$$file $(DESTDIR)$(sysconfdir)/$$file; \
	done

	set -e ; for file in $(LIBFILES) ; do \
		$(INSTALL_DATA) lib/$$file $(DESTDIR)$(libdir)/$$file; \
	done

	set -e ; for f in \
		share/debian-edu-config/d-i/finish-install \
		share/debian-edu-config/d-i/pre-pkgsel \
		share/debian-edu-config/tools/passwd \
		share/debian-edu-config/tools/create-debian-edu-certs \
		share/debian-edu-config/tools/cups-queue-autoflush \
		share/debian-edu-config/tools/cups-queue-autoreenable \
		share/debian-edu-config/tools/setup-cfengine3 \
		share/debian-edu-config/tools/debian-edu-bless \
		share/debian-edu-config/tools/get-default-homepage \
		share/debian-edu-config/tools/gosa-create \
		share/debian-edu-config/tools/gosa-create-host \
		share/debian-edu-config/tools/gosa-modify-host \
		share/debian-edu-config/tools/gosa-remove-host \
		share/debian-edu-config/tools/gosa-lock-user \
		share/debian-edu-config/tools/gosa-remove \
		share/debian-edu-config/tools/gosa-sync \
		share/debian-edu-config/tools/gosa-sync-dns-nfs \
		share/debian-edu-config/tools/gosa-unlock-user \
		share/debian-edu-config/tools/firefox-plugin-support \
		share/debian-edu-config/tools/kerberos-kdc-init \
		share/debian-edu-config/tools/ldap2bind-updatezonelist \
		share/debian-edu-config/tools/ldap-user-clean-attic.sh \
		share/debian-edu-config/tools/ldapdump.sh \
		share/debian-edu-config/tools/ldappasswd2 \
		share/debian-edu-config/tools/locate-syslog-collector \
		share/debian-edu-config/tools/logoutkill.sh \
		share/debian-edu-config/tools/ltsp-addfirmware \
		share/debian-edu-config/tools/ltsp-update-resolvconf \
		share/debian-edu-config/tools/missing-desktop-file \
		share/debian-edu-config/tools/movehome \
		share/debian-edu-config/tools/nbdquery \
		share/debian-edu-config/tools/nbdswap-cleanup \
		share/debian-edu-config/tools/nightkill.sh \
		share/debian-edu-config/tools/notify-local-users \
		share/debian-edu-config/tools/package-disk-usage \
		share/debian-edu-config/tools/pipegraph \
		share/debian-edu-config/tools/preseed-ldap-kerberos \
		share/debian-edu-config/tools/preseed-sitesummary \
		share/debian-edu-config/tools/pxe-addfirmware \
		share/debian-edu-config/tools/run-at-firstboot \
		share/debian-edu-config/tools/setup-ad-client \
		share/debian-edu-config/tools/setup-roaming \
		share/debian-edu-config/tools/show-welcome-webpage \
		share/debian-edu-config/tools/sssd-generate-config \
		share/debian-edu-config/tools/squid-update-cachedir \
		share/debian-edu-config/tools/subnet-change \
		share/debian-edu-config/tools/update-cert-dbs \
		share/debian-edu-config/tools/update-firefox-homepage \
		share/debian-edu-config/tools/update-chromium-homepage \
		share/debian-edu-config/tools/update-proxy-from-wpad \
		share/debian-edu-config/tools/wpad-extract \
		share/debian-edu-config/tools/ldap-server-getcert \
		share/debian-edu-config/tools/exim4-create-environment \
		share/debian-edu-config/tools/edu-ldap-from-scratch \
		share/debian-edu-config/tools/create-user-nssdb \
		share/debian-edu-config/tools/copy-host-keytab \
		share/debian-edu-config/tools/improve-desktop-l10n \
		share/debian-edu-config/tools/install-task-pkgs \
		share/debian-edu-config/ltspfs-mounter-kde \
		share/ltsp/get-ldap-ltsp-config \
		share/initramfs-tools/scripts/nfs-bottom/before-ltsp \
	; do \
		$(INSTALL) $$f $(DESTDIR)/usr/$$f ; \
	done

	set -e ; for f in \
		share/ltsp/init-ltsp.d/08-edu-hostname \
		share/ltsp/init-ltsp.d/09-edu-ldap-config \
		share/ltsp/init-ltsp.d/60-edu-client \
	; do \
		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
	done

	set -e ; for f in \
 share/ltsp/plugins/ltsp-build-client/Debian-custom/001-ltsp-settings \
 share/ltsp/plugins/ltsp-build-client/Debian-custom/020-rootpath \
 share/ltsp/plugins/ltsp-build-client/Debian-custom/032-edu-pkgs \
 share/ltsp/plugins/ltsp-build-client/Debian-custom/098-etckeeper \
	; do \
		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
	done

	$(INSTALL_DATA) sbin/debian-edu-fsautoresizetab $(DESTDIR)/usr/share/debian-edu-config/fsautoresizetab

	set -e ; for f in \
		share/debian-edu-config/rsyslog-collector \
		share/debian-edu-config/firefox-networked-prefs.js \
		share/debian-edu-config/squid.conf \
		share/debian-edu-config/ssl.cnf \
		share/debian-edu-config/sslCA.cnf \
		share/debian-edu-config/v3.cnf \
		share/debian-edu-config/v3CA.cnf \
		share/debian-edu-config/debian-edu.addmachine.template \

=== debian/changelog ===
debian-edu-config (2.11.12) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Fix LDAP setup, broken as of autofs-ldap version 5.1.6:
    - Add ldap/schema/autofs-debian-edu.schema
    - Adjust etc/ldap/slapd-debian-edu.conf and Makefile.
    As the schema file shipped with autofs-ldap is no longer compatible with
    ldap-bootstrap/autofs.ldif, the Buster version (5.1.2) schema file is used.
    The schema file has been changed upstream in v. 5.1.3 with this comment:
    "The schema was corrected somewhere along the line but the autofs
    distribution copy was never updated. The schema has now been
    updated but it is not recommended for use as the schema for autofs
    map information."

  [ Holger Levsen ]
  * Bump standards version to 4.5.0, no changes needed.

 -- Holger Levsen <holger@debian.org>  Wed, 29 Jan 2020 13:10:48 +0100

debian-edu-config (2.11.11) unstable; urgency=medium

  [ Dominik George ]
  * Amend last changelog entry with CVE.
  * debian/control: Reference Debian Edu in binary package description
  * Follow-up for CVE-2019-3467:
    - Add NEWS to warn administrators with possible local changes.
  * Keep proxy settings on client if wpad is unreachable (Closes: #941001)
    - Remove use of eval `...` while at it to minimise security risks

  [ Holger Levsen ]
  * Close #936375 in 2.11.7 changelog entry.

 -- Holger Levsen <holger@debian.org>  Tue, 14 Jan 2020 15:06:22 +0100

debian-edu-config (2.11.10) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * share/debian-edu-config/tools/kerberos-kdc-init:
    - Set proper rights for users in kadm5.acl file. (Closes: #946797)
    - Security fix for CVE-2019-3467
  * Adjust debian/debian-edu-config.postinst to fix kadm5.acl upon upgrades.
  * Use secure URI in Homepage field.
  * Use canonical URL in Vcs-Git.

  [ Holger Levsen ]
  * Improve debian/debian-edu-config.postinst fix to only run once on
    upgrades.

 -- Holger Levsen <holger@debian.org>  Mon, 16 Dec 2019 16:56:24 +0100

debian-edu-config (2.11.9) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * share/debian-edu-config/tools/kerberos-kdc-init:
    - Update kdc.conf content from template shipped with the krb5-kdc package.
      This fixes the recently broken Kerberos setup.
  * Replace workaround for rootCA certificate integration (both firefox-esr and
    thunderbird 68.2.x) with a nowadays recommended setup: (Closes: #944450)
    - Add policy file share/firefox-esr/distribution/policies.json.
      This makes sure that the Debian-Edu_rootCA.crt file gets installed as
      trusted certificate for firefox-esr and thunderbird.
      The policy also forces the Debian Edu startpage to be shown (instead of
      the Firefox one) at first launch; the Firefox privacy page is available
      via a second tab.
    - Drop share/debian-edu-config/{installs.ini,profiles.ini,profiles.ini.ff}.
      These files are no longer required.
    - Adjust related tools:
      + share/debian-edu-config/tools/gosa-create
      + share/debian-edu-config/tools/create-user-nssdb
      + share/debian-edu-config/tools/update-cert-dbs
      + ldap-tools/ldap-debian-edu-install
    - Adjust Makefile.
  * Drop workaround now that Squid bug #911325 has been fixed:
    - Remove share/debian-edu-config/squid.resolvconf
    - Adjust Makefile and cf3/cf.workarounds.

 -- Holger Levsen <holger@debian.org>  Wed, 13 Nov 2019 10:07:29 +0100

debian-edu-config (2.11.8) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Drop workaround for NFS related bug #930125 (fixed in firefox-esr 68.2.x):
    - Remove share/debian-edu-config/edu-firefox-nfs.
    - Adjust cf3/cf.workarounds and Makefile.
  * Adjustments for changed education menu re-structuring:
    - cf3/edu.cf: Re-define class 'Workstation' condition.
    - share/ltsp/plugins/ltsp-build-client/Debian-custom/032-edu-pkgs and
      debian/debian-edu-config.postinst: Drop desktop-profiles related code.
    - cf3/cf.finalize: Remove desktop-profiles related editing.
    - d/control: Drop Depends on desktop-profiles.
  * Cope with Firefox-ESR ini files that need to be different (as of version
    68.2.0esr) to further allow centralized configuration: (Closes: #944013)
    - Add share/debian-edu-config/profiles.ini.ff (Firefox-ESR profiles.ini).
    - Add share/debian-edu-config/installs.ini (now needed in addition for users
      that don't have a Firefox-ESR profile, i.e. new users).
    - Adjust share/debian-edu-config/tools/gosa-create which is used to copy
      the related Firefox-ESR ini files.
    - Ajust Makefile.
    - Adjust ldap-tools/ldap-debian-edu-install (fix for the first user).

 -- Holger Levsen <holger@debian.org>  Mon, 04 Nov 2019 18:22:46 +0800

debian-edu-config (2.11.7) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * etc/ltspfs/mounter.d/edu-notify:
    Adjust for using notify2 instead of pynotify.
  * debian/control: Replace python-notify with python3-notify2. Closes: #943573
    Thanks to Jeremy Bicha.
  * debian/control: Add Depends on python3, thanks Lintian. Closes: #936375

  [ Holger Levsen ]
  * share/debian-edu-config/pam-nopwdchange.py: converted to python3 with
    python-modernize.
  * debian/control: Drop Depends on python.

 -- Holger Levsen <holger@debian.org>  Mon, 28 Oct 2019 13:10:12 +0100

debian-edu-config (2.11.6) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * cf3/cf.workarounds: Fix syntax.
  * testsuite/icinga: Adjust for moving from icinga to icinga2 and
    icinga2-classicui.
  * testsuite/ltsp: Adjust for reworked LDAP certificate setup.
  * testsuite/cups: Adjust for central ipp server.

 -- Holger Levsen <holger@debian.org>  Wed, 23 Oct 2019 13:26:45 +0200

debian-edu-config (2.11.5) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * share/debian-edu-config/passwords_stub.dat:
    - adjust after replacing icinga with icinga2 and icinga2-classicui.
  * Improve usage information and comments:
    - ldap-tools/debian-edu-ldap-install


=== debian/control ===
Source: debian-edu-config
Section: misc
Priority: optional
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>,
           Holger Levsen <holger@debian.org>,
           Mike Gabriel <sunweaver@debian.org>,
           Wolfgang Schweer <wschweer@arcor.de>,
           Dominik George <natureshadow@debian.org>,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 12)
Build-Depends-Indep: po-debconf,
                     po4a,
                     help2man,
                     libfilesys-df-perl
Homepage: https://www.skolelinux.org
Vcs-Browser: https://salsa.debian.org/debian-edu/debian-edu-config
Vcs-Git: https://salsa.debian.org/debian-edu/debian-edu-config.git

Package: debian-edu-config
Architecture: all
Depends: ${misc:Depends},
         lsb-base,
         bind9-host,
         cfengine3,
         debconf-utils,
         debian-edu-artwork,
         e2fsprogs,
         education-tasks,
         fping,
         gnutls-bin,
         isenkram-cli,
         ldap-utils,
         ldapscripts,
         libconfig-inifiles-perl,
         libfilesys-df-perl,
         libhtml-fromtext-perl,
         libio-socket-ssl-perl,
         libnet-ldap-perl,
         libnet-netmask-perl,
         libnss3-tools,
         libpacparser1,
         libpam-python,
         libproxy1-plugin-kconfig,
         libproxy1-plugin-webkit,
         libproxy1-plugin-networkmanager,
         libterm-readkey-perl,
         libtext-unaccent-perl,
         lockfile-progs,
         lsb-release,
         mime-support,
         net-tools,
         netcat,
         ng-utils,
         openssl,
         patch,
         python3,
         python3-notify2,
         ssl-cert,
         swaks,
         tftp-hpa | tftp,
         uuid,
         wget,
Recommends: binutils,
            libnotify-bin,
            lsof,
            memtest86+,
            resolvconf,
            syslinux
Description: Configuration files for Debian Edu (Skolelinux) systems
 Installs cfengine config files to be used by the machines set up as part
 of the Debian Edu pure blend (Skolelinux network).

## debian-edu-config 2.11.34

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,6 @@
 dhcpdir   = $(sysconfdir)/dhcp
 libdir     = /usr/lib
 pkglibdir  = $(libdir)/debian-edu-config
-mailcapdir = $(libdir)/mime/packages
 vardir     = /var
 wwwdir     = /etc/debian-edu/www
 
@@ -58,9 +57,9 @@
 	cf.squid \
 	cf.sshd \
 	cf.syslog \
-	cf.tftpd \
 	cf.workarounds \
 	cf.xrdp \
+	cf.icinga \
 	edu.cf \
 	promises.cf
 
@@ -75,7 +74,6 @@
 	bind/db.0.168.192.in-addr.arpa. \
 	bind/db.1.168.192.in-addr.arpa. \
 	X11/Xsession.d/05debian-edu-truncate-xerrorlog \
-	X11/Xsession.d/06debian-edu-firefox-ltsp \
 	X11/Xsession.d/09debian-edu-missing-home \
 	X11/Xsession.d/10debian-edu-one-login-per-host \
 	X11/Xsession.d/55lightdm_gtk-greeter-rc \
@@ -95,38 +93,14 @@
 	dovecot/local.conf \
 	exim4/exim-ldap-client-v4.conf \
 	exim4/exim-ldap-server-v4.conf \
+	exports.d/edu.exports \
 	filesystems \
 	firefox-esr/debian-edu.js \
 	php/apache2/php-debian-edu.ini \
 	insserv/overrides/ntp \
 	ldap/rootDSE-debian-edu.ldif \
 	ldap/slapd-debian-edu.conf \
-	ltsp/ltsp-build-client.conf \
-	network/if-up.d/wpad-proxy-update \
-	samba/netlogon/1stlogon/1stlogon.bat \
-	samba/netlogon/config/get_time.bat \
-	samba/netlogon/config/penguin.bat \
-	samba/netlogon/config/setglobals.bat \
-	samba/netlogon/config/standarddrives-students.bat \
-	samba/netlogon/config/standarddrives-teachers.bat \
-	samba/netlogon/debian-edu-login.bat \
-	samba/netlogon/_default_/default.bat \
-	samba/netlogon/install/shortcut.vbs \
-	samba/netlogon/logon-admins.bat \
-	samba/netlogon/logon-jradmins.bat \
-	samba/netlogon/logon-students.bat \
-	samba/netlogon/logon-teachers.bat \
-	samba/netlogon/mozilla/firefox/prefs.js \
-	samba/netlogon/mozilla/mkmozapd.bat \
-	samba/netlogon/mozilla/profiles.ini.FIREFOX \
-	samba/netlogon/mozilla/profiles.ini.THUNDERBIRD \
-	samba/netlogon/registry/proxy-ie/proxy-settings-hkcu.reg \
-	samba/netlogon/win7+samba_domain-membership/DownloadWinRessourceKits.bat \
-	samba/netlogon/win7+samba_domain-membership/README_Win7-Domain-Membership.txt \
-	samba/netlogon/win7+samba_domain-membership/SeSystemTimePrivilege.bat \
-	samba/netlogon/win7+samba_domain-membership/Win7_Samba3DomainMember.reg \
 	samba/smb-debian-edu.conf \
-	samba/samba-domain-policy.ldif \
 	slbackup-php/config.php \
 	smbldap-tools/smbldap_bind.conf \
 	smbldap-tools/smbldap.conf \
@@ -157,21 +131,14 @@
 	nagios3/debian-edu/service_templates.cfg \
 	nagios3/debian-edu/timeperiods.cfg \
 	munin/debian-edu-munin-node.conf \
-	polkit-1/localauthority.conf.d/80-edu-admin.conf \
-	nbd-server/conf.d/debian-edu.conf
-
-LIBFILES = \
-	mime/packages/debian-edu-mailcap
+	polkit-1/localauthority.conf.d/80-edu-admin.conf
 
 SYSCONFSCRIPTS = \
-	ltspfs/mounter.d/edu-notify \
 	mklocaluser.d/20-debian-edu-config \
 	shutdown-at-night/clients-generator \
 	resolvconf/update.d/bind-debian-edu \
-	resolvconf/update.d/ltsp-chroots \
 	wicd/scripts/preconnect/set_wireless_mac_from_eth0 \
-	X11/Xsession-debian-edu \
-	samba/smbaddclient.sh
+	X11/Xsession-debian-edu
 
 SCHEMAS = \
 	autofs-debian-edu.schema \
@@ -220,21 +187,24 @@
 	index.html.da \
 	index.html.de \
 	index.html.en \
-	index.html.es_ES \
+	index.html.es-es \
 	index.html.fr \
 	index.html.id \
 	index.html.it \
 	index.html.ja \
-	index.html.no_NB \
+	index.html.nb-no \
 	index.html.nl \
 	index.html.pt \
-	index.html.pt_BR \
+	index.html.pt-br \
 	index.html.ro \
 	index.html.ru \
-	index.html.zh \
+	index.html.zh-tw \
 	skl-ren_css.css \
 	logo-trans.png \
 	wpad.dat
+
+LIBFILES = \
+	thunderbird/distribution/policies.json \
 
 all:
 	$(MAKE) -C www
@@ -245,7 +215,7 @@
 	install -d $(DESTDIR)$(sysconfdir) $(DESTDIR)$(sysconfdir)/cups
 	install -d $(DESTDIR)$(ldapdir)
 	install -d $(DESTDIR)$(dhcpdir)
-	install -d $(DESTDIR)$(mailcapdir)
+	install -d $(DESTDIR)$(libdir)
 
 # program's manpages are autodetected. 
 	set -e ; for prog in $(PROGS); do \
@@ -287,11 +257,15 @@
 		share/debian-edu-config/d-i/finish-install \
 		share/debian-edu-config/d-i/pre-pkgsel \
 		share/debian-edu-config/tools/passwd \
+		share/debian-edu-config/tools/clean-up-host-keytabs \
+		share/debian-edu-config/tools/configure-edu-gateway \
 		share/debian-edu-config/tools/create-debian-edu-certs \
+		share/debian-edu-config/tools/create-server-cert \
 		share/debian-edu-config/tools/cups-queue-autoflush \
 		share/debian-edu-config/tools/cups-queue-autoreenable \
 		share/debian-edu-config/tools/setup-cfengine3 \
 		share/debian-edu-config/tools/debian-edu-bless \
+		share/debian-edu-config/tools/edu-ltsp-install\
 		share/debian-edu-config/tools/get-default-homepage \
 		share/debian-edu-config/tools/gosa-create \
 		share/debian-edu-config/tools/gosa-create-host \
@@ -310,12 +284,8 @@
 		share/debian-edu-config/tools/ldappasswd2 \
 		share/debian-edu-config/tools/locate-syslog-collector \
 		share/debian-edu-config/tools/logoutkill.sh \
-		share/debian-edu-config/tools/ltsp-addfirmware \
-		share/debian-edu-config/tools/ltsp-update-resolvconf \
 		share/debian-edu-config/tools/missing-desktop-file \
 		share/debian-edu-config/tools/movehome \
-		share/debian-edu-config/tools/nbdquery \
-		share/debian-edu-config/tools/nbdswap-cleanup \
 		share/debian-edu-config/tools/nightkill.sh \
 		share/debian-edu-config/tools/notify-local-users \
 		share/debian-edu-config/tools/package-disk-usage \
@@ -338,38 +308,21 @@
 		share/debian-edu-config/tools/ldap-server-getcert \
 		share/debian-edu-config/tools/exim4-create-environment \
 		share/debian-edu-config/tools/edu-ldap-from-scratch \
+		share/debian-edu-config/tools/edu-icinga-setup \
 		share/debian-edu-config/tools/create-user-nssdb \
 		share/debian-edu-config/tools/copy-host-keytab \
 		share/debian-edu-config/tools/improve-desktop-l10n \
 		share/debian-edu-config/tools/install-task-pkgs \
-		share/debian-edu-config/ltspfs-mounter-kde \
-		share/ltsp/get-ldap-ltsp-config \
-		share/initramfs-tools/scripts/nfs-bottom/before-ltsp \
 	; do \
 		$(INSTALL) $$f $(DESTDIR)/usr/$$f ; \
 	done
 
+	$(INSTALL_DATA) sbin/debian-edu-fsautoresizetab $(DESTDIR)/usr/share/debian-edu-config/fsautoresizetab
+
 	set -e ; for f in \
-		share/ltsp/init-ltsp.d/08-edu-hostname \
-		share/ltsp/init-ltsp.d/09-edu-ldap-config \
-		share/ltsp/init-ltsp.d/60-edu-client \
-	; do \
-		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
-	done
-
-	set -e ; for f in \
- share/ltsp/plugins/ltsp-build-client/Debian-custom/001-ltsp-settings \
- share/ltsp/plugins/ltsp-build-client/Debian-custom/020-rootpath \
- share/ltsp/plugins/ltsp-build-client/Debian-custom/032-edu-pkgs \
- share/ltsp/plugins/ltsp-build-client/Debian-custom/098-etckeeper \
-	; do \
-		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
-	done
-
-	$(INSTALL_DATA) sbin/debian-edu-fsautoresizetab $(DESTDIR)/usr/share/debian-edu-config/fsautoresizetab
-
-	set -e ; for f in \
+		share/debian-edu-config/avahi.smb.service \
 		share/debian-edu-config/rsyslog-collector \
+		share/debian-edu-config/smb.conf.edu-site \
 		share/debian-edu-config/firefox-networked-prefs.js \
 		share/debian-edu-config/squid.conf \
 		share/debian-edu-config/ssl.cnf \
@@ -377,3 +330,66 @@
 		share/debian-edu-config/v3.cnf \
 		share/debian-edu-config/v3CA.cnf \
 		share/debian-edu-config/debian-edu.addmachine.template \
+		share/debian-edu-config/debian-edu.ldapscripts.passwd \
+		share/debian-edu-config/passwords_stub.dat \
+		share/debian-edu-config/gosa.conf.template \
+		share/debian-edu-config/lightdm-gtk-greeter.conf \
+		share/debian-edu-config/sudo-ldap.conf \
+		share/pam-configs/edu-group \
+		share/pam-configs/edu-umask \
+		share/perl5/Debian/Edu.pm \
+		share/debian-edu-config/pam-config-ccreds-check \
+		share/debian-edu-config/pam-config-ccreds-save \
+		share/debian-edu-config/pam-config-mkhomedir \
+		share/debian-edu-config/pam-config-nopwdchange \
+		share/debian-edu-config/pam-nopwdchange.py \
+		share/firefox-esr/distribution/policies.json \
+	; do \
+		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
+	done
+
+# Using manpages autodetection : 
+	set -e ; for program in $(LDAPPROGRAMS) ; do \
+		$(INSTALL) ldap-tools/$$program $(DESTDIR)$(bindir)/$$program; \
+		if [ -e "share/man/man1/$$program.1" ]; \
+		then \
+		$(INSTALL_DATA) "share/man/man1/$$program.1" $(DESTDIR)$(mandir)/man1/$$sprog.1 ; \
+		fi \
+	done
+	set -e ; for schema in $(SCHEMAS) ; do \
+		$(INSTALL_DATA) ldap-schemas/$$schema $(DESTDIR)$(schemadir)/$$schema;\
+	done
+	set -e ; for ldif in $(LDIFS) ; do \
+		$(INSTALL_DATA) ldap-bootstrap/$$ldif $(DESTDIR)$(ldapdir)/$$ldif ; \
+	done
+
+	set -e ; for file in $(WWWFILES) ; do \
+		$(INSTALL_DATA) www/$$file $(DESTDIR)/$(wwwdir)/$$file ; \
+	done
+
+install-testsuite:
+	set -e ; for f in \
+		share/debian-edu-config/testsuite-lib.sh \
+	; do \
+		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
+	done
+
+	install -d $(DESTDIR)$(pkglibdir)/testsuite
+	set -e ; for test in testsuite/* ; do \
+		$(INSTALL) $$test $(DESTDIR)$(pkglibdir)/$$test; \
+	done
+
+
+
+clean:
+	$(MAKE) -C www $@
+
+dist:
+	debuild -us -uc
+
+status:
+	$(MAKE) -C www stats
+
+i18n-poke:
+	podebconf-report-po
+	podebconf-report-po --podir www

=== debian/changelog ===
debian-edu-config (2.11.34) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Improve Samba configuration to support using PEAP-MSCHAPv2 with FreeRADIUS:
    - Add 'netbios name = tjener' in etc/samba/smb-debian-edu.conf (the value
      will be used as domain name).
    - Add ntlm auth stanza to share/debian-edu-config/smb.conf.edu-site (case
      restricted setting 'ntlm auth = mschapv2-and-ntlmv2-only').
  * share/debian-edu-config/tools/gosa-sync: Adjust Samba account related code
    introduced in d-e-c 2.11.33.

 -- Holger Levsen <holger@debian.org>  Thu, 29 Oct 2020 17:41:06 +0100

debian-edu-config (2.11.33) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Don't mix LDAP and system groups to enable Samba usershares, use the already
    existing LDAP group 'students'. Thanks to Mike Gabriel for the hint.
    Adjust related files and configuration:
    - ldap-bootstrap/gosa.ldif: Add the first user to the 'students' group. This
      way all users belonging to the 'teachers' group will also be 'students'.
    - cf3/cf.samba: Use 'students' instead of 'sambashare' for the group
      ownership of the /var/lib/samba/usershares/ directory.
      (Running 'chown root:teachers /var/lib/samba/usershares' would disable
      usershares for 'students'; this needs to be documented in the manual.)
    - Drop code used to add sambashare group membership from:
      + share/debian-edu-config/tools/kerberos-kdc-init,
      + share/debian-edu-config/tools/edu-ldap-from-scratch,
      + share/debian-edu-config/tools/gosa-create and
      + share/debian-edu-config/tools/gosa-sync.
  * Remove Samba account along with POSIX account removal:
    - Adjust share/debian-edu-config/tools/gosa-remove.
  * Improve order of entries and comments in Samba related files:
    - Adjust etc/samba/smb-debian-edu.conf and
      share/debian-edu-config/smb.conf.edu-site.
  * Cleanup files from no longer needed Samba related entries:
    - ldap-bootstrap/netgroup.ldif,
    - ldap-bootstrap/root.ldif,
    - ldap-bootstrap/gosa.ldif and
    - share/debian-edu-config/gosa.conf.template
  * debian/control: Move libpam-python from Recommends to Suggests (until the
    package has been ported to Python3) to fix the src:debian-edu autopkgtest.
    See bug #967194 for details.

 -- Holger Levsen <holger@debian.org>  Sun, 25 Oct 2020 15:17:06 +0100

debian-edu-config (2.11.32) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/fetch-rootca-cert: Re-try rootCA retrieval if previous
    retrievals ended up with an empty Debian-Edu_rootCA.crt file in
    /usr/local/share/ca-certificates/. (Closes: #971775).

  [ Wolfgang Schweer ]
  * debian/debian-edu-config.fetch-rootca-cert:
    - Avoid execution on the main server where things are already in place.
    - Adjust code to let the Debian-Edu_rootCA.crt file show up in the
      /etc/ssl/certs/ directory more reliably. (Closes: #971767).
    - Fix logging messages.
  * debian/control:
    - Lower Depends on libpam-python to Recommends. This way the src:debian-edu
      autopkgtest might succeed (until libpam-python3 becomes available).
    - Adjust Description field.
    - Use https://blends.debian.org/edu as homepage.
  * Move from deprecated, unusable Samba NT4-style PDC role to standalone server
    one to be compatible with OpenLDAP, MIT Kerberos and GOsa²:
    - Drop all domain related files.
    - Add code to debian/debian-edu-config.postinst to get those files removed.
    - Adjust etc/samba/smb-debian-edu.conf accordingly (also with support for
      non-root user usershares and override file included).
    - Add share/debian-edu-config/smb.conf.edu-site as override template file.
  * Re-work LDAP bootstrap and configuration file.
    - Move entries from ldap-bootstrap/samba.ldif to ldap-bootstrap/gosa.ldif
      and ldap-bootstrap/root.ldif respectively, now that Samba isn't contained
      in LDAP anymore.
    - etc/ldap/slapd-debian-edu.conf: Cleanup from Samba related entries.
  * share/debian-edu-config/gosa.conf.template:
    - Remove Samba related tab to prevent it from showing up in the GUI.
    - Add sambaHashHook="" to prevent Samba password hashes showing up in LDAP
      for security reasons.
  * Manage Samba accounts and sambashare group membership using GOsa² hooks.
    - share/debian-edu-config/tools/gosa-create: Add user to sambashare group.
    - share/debian-edu-config/tools/gosa-sync:
      Create a user Samba account and keep Samba and POSIX passwords in sync.
    - share/debian-edu-config/tools/gosa-lock-user: Also disable Samba account.
    - share/debian-edu-config/tools/gosa-unlock-user: Also enable Samba account.
    - share/debian-edu-config/tools/kerberos-kdc-init: Add samba account and
    - sambashare group membership for the special case 'first user'.
  * Use Avahi to publish Samba shares in the local network. This will also
    improve support for macOS using systems:
    - Add share/debian-edu-config/avahi.smb.service configuration file.
    - cf3/cf.samba: Conditionally copy the service file to the right place.
      (Also create the Samba usershares directory with proper rights.)
  * share/debian-edu-config/tools/edu-ldap-from-scratch:
    - Adjust to reflect the Samba related changes.
  * share/debian-edu-config/passwords_stub.dat:
    - Drop obsolete entries now that icinga2-classicui is gone.

 -- Holger Levsen <holger@debian.org>  Mon, 19 Oct 2020 14:14:47 +0200

debian-edu-config (2.11.31) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * www/index.html.en:
    - Stop linking to http://www.linuxiskolen.no/slxdebianlabs/donations.html;
      the foundation has been shut down and the leftover money given to Debian.
  * www: update files after running 'make all'.
  * ldap-tools/ldap-debian-edu-install:
    - Drop Samba related code (deprecated NT4-style domain) to fix LDAP setup.
  * debian/NEWS: Drop file to avoid confusing users while upgrading from Buster;


=== debian/control ===
--- 
+++ 
@@ -9,12 +9,12 @@
            Dominik George <natureshadow@debian.org>,
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: po-debconf,
                      po4a,
                      help2man,
                      libfilesys-df-perl
-Homepage: https://www.skolelinux.org
+Homepage: https://blends.debian.org/edu
 Vcs-Browser: https://salsa.debian.org/debian-edu/debian-edu-config
 Vcs-Git: https://salsa.debian.org/debian-edu/debian-edu-config.git
 
@@ -41,7 +41,6 @@
          libnet-netmask-perl,
          libnss3-tools,
          libpacparser1,
-         libpam-python,
          libproxy1-plugin-kconfig,
          libproxy1-plugin-webkit,
          libproxy1-plugin-networkmanager,
@@ -51,7 +50,6 @@
          lsb-release,
          mime-support,
          net-tools,
-         netcat,
          ng-utils,
          openssl,
          patch,
@@ -67,7 +65,8 @@
             lsof,
             memtest86+,
             resolvconf,
-            syslinux
+            syslinux,
+Suggests: libpam-python,
 Description: Configuration files for Debian Edu (Skolelinux) systems
  Installs cfengine config files to be used by the machines set up as part
- of the Debian Edu pure blend (Skolelinux network).
+ of the Debian Edu (Skolelinux) network. Debian Edu is a Debian Pure Blend.

## debian-edu-config 2.11.36

=== Makefile ===
--- 
+++ 
@@ -82,6 +82,7 @@
 	default/munin-node \
 	default/ldap2zone \
 	chromium/policies/managed/chromium-networked-prefs \
+	chromium/policies/recommended/search_provider.json \
 	cups/cupsd-debian-edu.conf \
 	cups/cups-files-debian-edu.conf \
 	dhcp/dhclient-exit-hooks.d/autofs-reload \
@@ -331,6 +332,7 @@
 		share/debian-edu-config/v3CA.cnf \
 		share/debian-edu-config/debian-edu.addmachine.template \
 		share/debian-edu-config/debian-edu.ldapscripts.passwd \
+		share/debian-edu-config/debian-edu-timesyncd.conf \
 		share/debian-edu-config/passwords_stub.dat \
 		share/debian-edu-config/gosa.conf.template \
 		share/debian-edu-config/lightdm-gtk-greeter.conf \

=== debian/changelog ===
debian-edu-config (2.11.36) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Set DuckDuckGo as default search provider for both Firefox-ESR and Chromium.
    This setting isn't forced, users are allowed to change it, compare #955707:
    - Adjust share/firefox-esr/distribution/policies.json,
    - Add etc/chromium/policies/recommended/search_provider.json.
  * Improve homepage and startup page setup and newtab content for both
    Firefox-ESR and Chromium:
    - Adjust etc/firefox-esr/debian-edu.js,
    - Adjust share/debian-edu-config/tools/update-chromium-homepage.

  [ Holger Levsen ]
  * Update standards version to 4.5.1, no changes needed.

 -- Holger Levsen <holger@debian.org>  Wed, 18 Nov 2020 12:10:46 +0100

debian-edu-config (2.11.35) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * share/debian-edu-config/tools/edu-ltsp-install:
    - Use http instead of https (debootstrap) to avoid a possible pitfall if a
      proxy isn't configured to use https.
    - Fix typo to avoid breaking home directory mounting (combined server).
  * share/debian-edu-config/tools/improve-desktop-l10n:
    - Also care for debian-edu-doc legacy packages.
  * Rework internal network time synchronization. This avoids to edit the ntp
    conffile on clients:
    - Add share/debian-edu-config/debian-edu-timesyncd.conf as override file for
      networked clients (with the exception of roaming workstations).
    - Adjust Makefile, cf3/cf.ntp and cf3/edu.cf accordingly.
  * debian/control: Move libpam-python back from Suggests to Recommends now
    that the package is available in testing again. (Not yet ported to Python3,
    but the Python2 related dependency chain doesn't fail any longer).

 -- Holger Levsen <holger@debian.org>  Mon, 09 Nov 2020 09:49:21 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
            Mike Gabriel <sunweaver@debian.org>,
            Wolfgang Schweer <wschweer@arcor.de>,
            Dominik George <natureshadow@debian.org>,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: po-debconf,
@@ -41,6 +41,7 @@
          libnet-netmask-perl,
          libnss3-tools,
          libpacparser1,
+         libpam-python,
          libproxy1-plugin-kconfig,
          libproxy1-plugin-webkit,
          libproxy1-plugin-networkmanager,
@@ -66,7 +67,6 @@
             memtest86+,
             resolvconf,
             syslinux,
-Suggests: libpam-python,
 Description: Configuration files for Debian Edu (Skolelinux) systems
  Installs cfengine config files to be used by the machines set up as part
  of the Debian Edu (Skolelinux) network. Debian Edu is a Debian Pure Blend.

## debian-edu-config 2.11.37

=== Makefile ===
--- 
+++ 
@@ -85,6 +85,7 @@
 	chromium/policies/recommended/search_provider.json \
 	cups/cupsd-debian-edu.conf \
 	cups/cups-files-debian-edu.conf \
+	cups/cups-browsed-debian-edu.conf \
 	dhcp/dhclient-exit-hooks.d/autofs-reload \
 	dhcp/dhclient-exit-hooks.d/wpad-proxy-update \
 	dhcp/dhclient-exit-hooks.d/fetch-ldap-cert \
@@ -346,6 +347,10 @@
 		share/debian-edu-config/pam-config-nopwdchange \
 		share/debian-edu-config/pam-nopwdchange.py \
 		share/firefox-esr/distribution/policies.json \
+		share/glib-2.0/schemas/21_debian-edu+gdm.gschema.override \
+		share/glib-2.0/schemas/31_debian-edu+mate.gschema.override \
+		share/glib-2.0/schemas/32-debian-edu.arctica-greeter.gschema.override  \
+		share/mate-panel/layouts/debian-edu-mate.layout \
 	; do \
 		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
 	done
@@ -376,22 +381,3 @@
 		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
 	done
 
-	install -d $(DESTDIR)$(pkglibdir)/testsuite
-	set -e ; for test in testsuite/* ; do \
-		$(INSTALL) $$test $(DESTDIR)$(pkglibdir)/$$test; \
-	done
-
-
-
-clean:
-	$(MAKE) -C www $@
-
-dist:
-	debuild -us -uc
-
-status:
-	$(MAKE) -C www stats
-
-i18n-poke:
-	podebconf-report-po
-	podebconf-report-po --podir www

=== debian/changelog ===
debian-edu-config (2.11.37) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Rework CUPS configuration, thanks to Mike Gabriel. (Closes: #944347).
    Base Debian Edu specific configuration on recent CUPS configuration files:
    - etc/cups/cupsd-debian-edu.conf: Use ipp.intern as central print server,
      restrict access to preconfigured internal networks.
    - etc/cups/cups-files-debian-edu.conf: Add LDAP group 'printer-admins' as
      additional CUPS @SYSTEM group.
    - etc/cups/cups-browsed-debian-edu.conf: New file. Configure all other
      machines on the internal networks as clients using driverless printing.
    - cf3/cf.cups: Adjust to conditionally activate CUPS configuration.
    - www/*: Use FQDN for the print server, adjust PO and index files.
  * Move over configuration (i.e. non-artwork) related files from d-e-artwork
    for the sake of consistency. (Use different filenames to avoid conflicts.)
    - share/glib-2.0/schemas/21_debian-edu+gdm.gschema.override
    - share/glib-2.0/schemas/31_debian-edu+mate.gschema.override
    - share/glib-2.0/schemas/32-debian-edu.arctica-greeter.gschema.override
    - share/mate-panel/layouts/debian-edu-mate.layout
  * Adjust Makefile and debian/control to reflect the changes.

 -- Holger Levsen <holger@debian.org>  Mon, 23 Nov 2020 22:31:27 +0100

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=`pwd`/debian/debian-edu-config

%:
	dh $@

override_dh_auto_install:
	$(MAKE) install prefix=/usr DESTDIR=$(DESTDIR)

override_dh_installinit:
	# Start it after 15bind9 and 19slapd
	dh_installinit --init-script fetch-ldap-cert -r --no-start
	dh_installinit --init-script fetch-rootca-cert -r --no-start
	# Start it after 15bind9, 19slapd and 95fetch-ldap-cert, and add some to be sure
	dh_installinit --init-script firefox-ldapconf -r --no-start
	dh_installinit --init-script chromium-ldapconf -r --no-start
	dh_installinit --init-script enable-nat --no-start

override_dh_installman:
	dh_installman
	help2man -s 8 -N -n "debian-edu-fsautofssize - automatically resize filesystems" \
		--help-option="-h" \
		--no-discard-stderr debian/debian-edu-config/usr/sbin/debian-edu-fsautoresize \
		> debian/debian-edu-config/usr/share/man/man8/debian-edu-fsautoresize.8
	help2man -N -n "ldap-add-host-to-netgroup - Adds a host as a member in the given netgroup" \
		--help-option="-h" \
		--no-discard-stderr debian/debian-edu-config/usr/bin/ldap-add-host-to-netgroup \
		> debian/debian-edu-config/usr/share/man/man1/ldap-add-host-to-netgroup.1
	help2man -N -n "ldap-add-user-to-group - Adds a user as a member in the given group" \
		--help-option="-h" \
		--no-discard-stderr debian/debian-edu-config/usr/bin/ldap-add-user-to-group \
		> debian/debian-edu-config/usr/share/man/man1/ldap-add-user-to-group.1
	help2man -N -n "ldap-createuser-krb5 - Create a user and configure its kerberos principal" \
		--help-option="-h" \
		--no-discard-stderr debian/debian-edu-config/usr/bin/ldap-createuser-krb5 \
		> debian/debian-edu-config/usr/share/man/man1/ldap-createuser-krb5.1

## debian-edu-config 2.11.38

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 	update-ini-file
 
 SPROGS = debian-edu-fsautoresize \
-	debian-edu-ltsp \
+	debian-edu-ltsp-install \
 	debian-edu-pxeinstall \
 	debian-edu-restart-services \
 	debian-edu-test-install \
@@ -267,7 +267,6 @@
 		share/debian-edu-config/tools/cups-queue-autoreenable \
 		share/debian-edu-config/tools/setup-cfengine3 \
 		share/debian-edu-config/tools/debian-edu-bless \
-		share/debian-edu-config/tools/edu-ltsp-install\
 		share/debian-edu-config/tools/get-default-homepage \
 		share/debian-edu-config/tools/gosa-create \
 		share/debian-edu-config/tools/gosa-create-host \
@@ -360,7 +359,7 @@
 		$(INSTALL) ldap-tools/$$program $(DESTDIR)$(bindir)/$$program; \
 		if [ -e "share/man/man1/$$program.1" ]; \
 		then \
-		$(INSTALL_DATA) "share/man/man1/$$program.1" $(DESTDIR)$(mandir)/man1/$$sprog.1 ; \
+		$(INSTALL_DATA) "share/man/man1/$$program.1" $(DESTDIR)$(mandir)/man1/$$program.1 ; \
 		fi \
 	done
 	set -e ; for schema in $(SCHEMAS) ; do \
@@ -381,3 +380,4 @@
 		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
 	done
 
+	install -d $(DESTDIR)$(pkglibdir)/testsuite

=== debian/changelog ===
debian-edu-config (2.11.38) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Improve LTSP related setup and management framework. (Closes: #969935).
    - Remove LTSP5 related tool sbin/debian-edu-ltsp.
    - Move share/debian-edu-config/tools/edu-ltsp-install to
      sbin/debian-edu-ltsp-install as tool for the re-written LTSP and improve
      it further:
      + Add example how to support 32-bit thin client.
      + Extend Firefox ESR configuration for the thin client 'desktop' variant.
      + Care for iPXE menu completion after adding additional chroots.
    - Add man page share/man/man8/debian-edu-ltsp-install.8.
    - Adjust share/debian-edu-config/d-i/finish-install, Makefile,
      share/debian-edu-config/tools/run-at-firstboot and
      debian/debian-edu-config.lintian-overrides to reflect the changes.
  * Adjust etc/dovecot/local.conf to match a recent Dovecot change. Now the IMAP
    server name needs to be set (instead of the hostname of the system the
    service is running on) for the Kerberos ticket to be accepted.
  * Add various man pages:
    - share/man/man8/debian-edu-fsautoresize.8
    - share/man/man1/debian-edu-ldapserver.1
    - share/man/man8/debian-edu-pxeinstall.8
    - share/man/man8/debian-edu-update-netblock.8
    - share/man/man1/ldap-debian-edu-install.1
    - share/man/man1/ldap2netgroup.1
    - share/man/man1/sitesummary2ldapdhcp.1
    - share/man/man8/update-hostname-from-ip.8
  * Makefile: Fix typo from years ago to get LDAP related man pages installed.

 -- Holger Levsen <holger@debian.org>  Sat, 05 Dec 2020 01:31:54 +0100
